///////////////////////////////////////////////////
//(c)2002 Erik Sjolander
//This code may be used and modified for non-profit, 
//educational purposes, as long as this copyright
//notice is preserved.  Any other use requires my 
//permission.  
//
//demo.h
///////////////////////////////////////////////////
#ifndef DEMO_H
#define DEMO_H
#include "global.h"

#define right_eye          0
#define left_eye           1
#define right_table        2
#define left_table         3
#define glass_detector     4
#define left_line_sensor   5
#define center_line_sensor 6
#define right_line_sensor  7

#define behavior_array_length 4

//function prototypes
void delay(u16);

//structure definition
struct behavior
{
    s16 left_motor;
    s16 right_motor;
    s08 confidence;
    s08 acceleration;
};

//variable definitions
extern s16 ad_data[];
extern s16 ad_data_scaled[];


#endif
