///////////////////////////////////////////////////
//(c)2002 Erik Sjolander
//This code may be used and modified for non-profit, 
//educational purposes, as long as this copyright
//notice is preserved.  Any other use requires my 
//permission.  
//
//motor.h
///////////////////////////////////////////////////
#ifndef MOTOR_H
#define MOTOR_H

#define MOTOR_TOP   511


//#define MOTOR_MAX             0x3FFF
#define MOTOR_FORWARD_FAST    511
#define MOTOR_FORWARD_SLOW    256
#define MOTOR_STOP              0
#define MOTOR_BACKWARD_SLOW  -256
#define MOTOR_BACKWARD_FAST  -511

#define ACCELERATION_SLOW     6
#define ACCELERATION_FAST     1


/* prototypes */
extern void motor_init(void);
extern void motor_speed(s16 left_motor, s16 right_motor);
extern void set_acceleration(s08 _acceleration);
#endif
